import 'package:flutter/widgets.dart';

/// Row with margin
class MarginRow extends StatelessWidget {
	final EdgeInsetsGeometry margin;  

  final Key? key;
  final MainAxisAlignment mainAxisAlignment;
  final MainAxisSize mainAxisSize;
  final CrossAxisAlignment crossAxisAlignment;
  final VerticalDirection verticalDirection;
  final List<Widget> children;

  /// Creates a Row with margin
  MarginRow(this.margin,{
    this.key,
    this.mainAxisAlignment = MainAxisAlignment.start,
    this.mainAxisSize = MainAxisSize.max,
    this.crossAxisAlignment = CrossAxisAlignment.center,
    this.verticalDirection = VerticalDirection.down,
    this.children = const <Widget>[]
    });

	@override
	Widget build(BuildContext context) {
		return Container(margin: margin, child: Row(
      key: key,
      mainAxisAlignment: mainAxisAlignment,
      mainAxisSize: mainAxisSize,
      crossAxisAlignment: crossAxisAlignment,
      verticalDirection: verticalDirection,
      children: children,
      )
    );
	}
}