import 'package:flutter/widgets.dart';

/// Column with padding
class PaddingCol extends StatelessWidget {
  final EdgeInsetsGeometry padding;  

  final Key? key;
  final MainAxisAlignment mainAxisAlignment;
  final MainAxisSize mainAxisSize;
  final CrossAxisAlignment crossAxisAlignment;
  final VerticalDirection verticalDirection;
  final List<Widget> children;

  /// Creates a Column with padding
  PaddingCol(this.padding,{
    this.key,
    this.mainAxisAlignment = MainAxisAlignment.start,
    this.mainAxisSize = MainAxisSize.max,
    this.crossAxisAlignment = CrossAxisAlignment.center,
    this.verticalDirection = VerticalDirection.down,
    this.children = const <Widget>[]
    });

	@override
	Widget build(BuildContext context) {
		return Padding(padding: padding, child: Column(
      key: key,
      mainAxisAlignment: mainAxisAlignment,
      mainAxisSize: mainAxisSize,
      crossAxisAlignment: crossAxisAlignment,
      verticalDirection: verticalDirection,
      children: children,
      )
    );
	}
}