import 'package:flutter/widgets.dart';

double ScreenWidth(BuildContext context) {
  return MediaQuery.of(context).size.width;
}

double ScreenHeight(BuildContext context) {
  return MediaQuery.of(context).size.height;
}

double ScreenVisibleHeight(BuildContext context) {
  var insets = MediaQuery.of(context).viewInsets;  
  return ScreenHeight(context) - insets.top - insets.bottom;
}

double ScreenWidthPercent(BuildContext context, double percent, {int offset=0}) {
  return MediaQuery.of(context).size.width * percent / 100 + offset;
}

double ScreenHeightPercent(BuildContext context, double percent, {int offset=0}) {
  return MediaQuery.of(context).size.height * percent / 100 + offset;
}

double BottomSafeAreaHeight(BuildContext context) {
  return MediaQuery.of(context).viewPadding.bottom;
}

double TopSafeAreaHeight(BuildContext context) {
  return MediaQuery.of(context).viewPadding.top;
}

double LeftSafeAreaHeight(BuildContext context) {
  return MediaQuery.of(context).viewPadding.left;
}

double RightSafeAreaHeight(BuildContext context) {
  return MediaQuery.of(context).viewPadding.right;
}